BEEM - Android XMPP - Feature #411

[OTR] Autostart encrypted chats if possible / show system messages
02/02/2012 05:59 PM - Anonymous

Status: New Start date: 02/02/2012
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 0%
Category: Communication Estimated time: 0.00 hour
Target version: 0.1.9

Description

1)Guess you know what | mean for the autostart..
2)Also would be really nice to be able to see OTR system messages in the main chat like i see them in Psi+ for example:

[19:54:41] <> Received OTR QueryMessage [plaintext]
[19:54:42] <> Received OTR DH-Key Message [plaintext]
[19:54:45] <@> Received OTR Signature Message [encrypted]
Session ID: XXXXXXXX XXXXXXXX

3)Show a fingerprint next to the word ENCRYPTED in non-compact chat mode? - not really sure if this is widely needed, just like a
suggestion..

And huge ups guys for the OTR - you're doing really great job. Thank you.

History

#1 - 02/21/2012 02:28 PM - Frédéric Barthéléry

- Target version set to 0.1.8

#2 - 02/21/2012 03:42 PM - Nikita Kozlov

- Assignee set to Nikita Kozlov
#3 - 02/23/2012 11:24 AM - squib shout
| would like two options

1
Always initiate OTR affter sending first message or after receiving first message

2
Force/require

2a
Detect if other client is otr capable , disallow further communication if not. Consider sending autoreply to indicate subsequent messages ignored or
blocked

2b
.. if OTR not initiated in short period of time

For block wield XEP privacy lists.
--- cannot edit below this line thanks to cantankerous android browser --
2b

#4 - 02/23/2012 11:25 AM - squib shout

| realize client information can be spoofed (Psi+ plug-in or otherwise)

#5 - 02/24/2013 09:13 PM - Frédéric Barthéléry

- Target version changed from 0.1.8 to 0.1.9
